<div class="container">
    <div class = "col-lg-12 m-4" mx-auto>
      <div class="row">
        <h3>Mi Información</h3>
        <button type="button" class="btn btn-danger" (click)="logout()">Logout</button>
      </div>
      
      <table class="table table-striped table-hover">
        <thead>
          <tr>
            <th style="text-align: center; vertical-align: middle;" scope="col">Nombre</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">Apellidos</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">Teléfono</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">Dirección</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">NSS</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">Número de Tarjeta</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td style="text-align: center; vertical-align: middle;">{{paciente?.nombre}}</td>
            <td style="text-align: center; vertical-align: middle;">{{paciente?.apellidos}}</td>
            <td style="text-align: center; vertical-align: middle;">{{paciente?.telefono}}</td>
            <td style="text-align: center; vertical-align: middle;">{{paciente?.direccion}}</td>
            <td style="text-align: center; vertical-align: middle;">{{paciente?.nss}}</td>
            <td style="text-align: center; vertical-align: middle;">{{paciente?.numTarjeta}}</td>
          </tr>
        </tbody>
      </table>
    </div>

    <hr class="my-4">

    <div class = "col-lg-12 m-4" mx-auto>
      
      <div class="row">
        <h3>Mis Citas</h3>
      </div>

      <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th style="text-align: center; vertical-align: middle;" scope="col">Médico</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Motivo</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Fecha</th>
                <th style="text-align: center; vertical-align: middle;" scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let c of paciente?.citas;">
                <td style="text-align: center; vertical-align: middle;">{{c.medicoId}}</td>
                <td style="text-align: center; vertical-align: middle;">{{c.motivoCita}}</td>
                <td style="text-align: center; vertical-align: middle;">{{c.fechaHora | date:"dd-MM-yyyy HH:mm"}}</td>
                <td style="text-align: center; vertical-align: middle;">
                    <button (click)="viewDiagnostico(c.diagnosticoId)">Ver diagnóstico</button>
                </td>
              </tr>
        </tbody>
    </table>
    </div>

    <hr class="my-4">
    <div class = "col-lg-12 m-4" mx-auto>
      <div class="row">
        <h3>Mis Médicos</h3>
      </div>

      <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th style="text-align: center; vertical-align: middle;" scope="col">Nombre</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Apellidos</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Número de colegiado</th>
                <th style="text-align: center; vertical-align: middle;" scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let m of paciente.medicos">
                <td style="text-align: center; vertical-align: middle;">{{m.nombre}}</td>
                <td style="text-align: center; vertical-align: middle;">{{m.apellidos}}</td>
                <td style="text-align: center; vertical-align: middle;">{{m.numColegiado}}</td>
                <td style="text-align: center; vertical-align: middle;">
                    <button class="btn btn-outline-secondary" (click)="addCita(m)">Pedir Cita</button>
                </td>
            </tr>
        </tbody>
    </table>
    
      
    </div>


    
</div>